<?php

/**
 * @file
 */

namespace Drupal\user_registration_limit\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

class ConfigUserRegistrationLimit extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return [
      'user_registration_limit.settings',
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'config_user_registration_limit';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->config('user_registration_limit.settings');

    $form['warning_message'] = [
      '#type' => 'textarea',
      '#title' => $this->t('Warning message'),
      '#description' => $this->t('Warning message to show once user registration limit is been reached.'),
      '#default_value' => $config->get('warning_message'),
    ];

    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    parent::submitForm($form, $form_state);

    $this->config('user_registration_limit.settings')
      ->set('warning_message', $form_state->getValue('warning_message'))
      ->save();
  }

}
